package org.xiss.query.impl.ast;

import java.util.List;

import org.xiss.query.IXissOperation;
import org.xiss.query.operations.AttributeJoinOperation;

public class AttributePredicateNode extends PredicateNode {
	private String myName;

	private String myValue;

	public AttributePredicateNode(String name, String value) {
		myName = name;
		myValue = value;
	}

	public void generateCodeTo(List<IXissOperation> script) {
		script.add(new AttributeJoinOperation(myName, myValue));
	}
}
