package org.xiss.index.impl;

import java.io.File;
import java.io.FilenameFilter;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class IndexBuilderTest extends TestCase {
	public static Test suite() {
		File dir = new File("input/TestXmls");
		String[] xmls = dir.list(new FilenameFilter() {
			public boolean accept(File dir, String name) {
				return (name.endsWith(".xml"));
			}
		});
		TestSuite suite = new TestSuite();
		for (String file : xmls) {
			suite.addTest(new SingleFileIndexTest(dir.getAbsolutePath(), file
					.substring(0, file.lastIndexOf(".")), "indexes/"
					+ file.substring(0, file.lastIndexOf("."))));
		}
		return suite;
	}
}
