package org.xiss.index.impl;

import net.sf.xanswer.indexing.IndexException;

import org.xiss.index.IXissIndex;
import org.xiss.index.XissIndexFactory;

public class XmlIndexFactory extends XissIndexFactory {
	public IXissIndex createNewFromDocument(String xmlPath, String outputDir)
			throws IndexException {
		return new XmlIndexBuilder(xmlPath, outputDir).build();
	}

	public IXissIndex open(String indexDir) throws IndexException {
		return XissIndexImpl.openExisting(indexDir);
	}

	public IXissIndex createEmpty(String outputDir) throws IndexException {
		return XissIndexImpl.createNew(outputDir);
	}
}
