package org.xiss.query;

import net.sf.xanswer.indexing.IndexException;

import org.xml.sax.Attributes;

/**
 * Yet unused. Will be used for representing query results like XML elements.
 */
public interface IResultNode {
	/**
	 * Returns the ID (number in preorder traversal) of the node
	 */
	int getId();

	/**
	 * Returns name of the node
	 */
	String getNodeName() throws IndexException;

	/**
	 * Returns value of the node: attribute value for attributes, text contents
	 * for text nodes and null otherwise
	 */
	String getNodeValue() throws IndexException;

	/**
	 * Returns attributes of the node or null if the node is an attribute by
	 * itself
	 */
	Attributes getAttributes() throws IndexException;
}
